Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlrt.ede.impl
Class MonitoringProxy

    java.lang.Object
      |
      +--com.bea.wlrt.ede.impl.StageProxy
            |
            +--com.bea.wlrt.ede.impl.MonitoringProxy

public class MonitoringProxy
extends StageProxy
implements com.bea.wlrt.ede.MonitorableStage

Constructor Summary
`MonitoringProxy(EventSinkManager sender)`

Method Summary
`com.bea.wlrt.ede.Monitor` | `getMonitor()`
`com.bea.wlrt.ede.StatsManager` | `getStatsManager()`
`Clock` | `getSystemClock()`
`Object` | `invoke(MethodInvocation methodInvocation)`
`void` | `monitorEvents(boolean enable)`
`protected void` | `postAction(List newEvents, List oldEvents)`
`protected void` | `preAction(List newEvents, List oldEvents)`
`void` | `setMonitor(com.bea.wlrt.ede.Monitor monitor)`
`void` | `setSystemClock(Clock systemClock)`

Methods inherited from class com.bea.wlrt.ede.impl.StageProxy
`getEventSinkManager`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MonitoringProxy

    public MonitoringProxy(EventSinkManager sender)

Method Detail

### getMonitor

    public com.bea.wlrt.ede.Monitor getMonitor()

### setMonitor

    public void setMonitor(com.bea.wlrt.ede.Monitor monitor)

### getSystemClock

    public Clock getSystemClock()

### setSystemClock

    public void setSystemClock(Clock systemClock)

### getStatsManager

    public com.bea.wlrt.ede.StatsManager getStatsManager()

  Specified by:
    getStatsManager in interface com.bea.wlrt.ede.MonitorableStage

### preAction

    protected void preAction(List newEvents,
                             List oldEvents)

### postAction

    protected void postAction(List newEvents,
                              List oldEvents)

### monitorEvents

    public void monitorEvents(boolean enable)

### invoke

    public Object invoke(MethodInvocation methodInvocation)
                  throws Throwable

  Overrides:
    invoke in class StageProxy

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD